r.tile(1)

NAME
r.tile - Splits a raster map into tiles.

KEYWORDS
raster, tiling

SYNOPSIS
r.tile
r.tile --help
r.tile input=name output=string width=integer height=integer [overlap=integer] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of input raster map

output=string [required]
    Output base name

width=integer [required]
    Width of tiles (columns)

height=integer [required]
    Height of tiles (rows)

overlap=integer
    Overlap of tiles

DESCRIPTION
r.tile retiles an existing raster map with user defined x and y tile size.

NOTES
r.tile generates a separate raster for each tile. This is equivalent to running g.region along with r.resample in a double loop.

The module can be used to split a large raster map into smaller tiles, e.g. for further parallelized analysis on a cluster computing system.

The overlap is defined in rows/columns.

EXAMPLE
Retiling example for the North Carolina DEM:

g.region raster=elevation -p
# rows:       1350
# cols:       1500
# generating 2 x 2 = 4 tiles (width=1500/2, height=rows/2)
r.tile input=elevation output=elev_tile width=750 height=675

creates 4 tiles with the prefix elev_tile (named: elev_tile-000-000, elev_tile-000-001, elev_tile-001-000, ...).

SEE ALSO
g.region, r3.retile

AUTHOR
Glynn Clements

SOURCE CODE

Available at: r.tile source code (history)

Latest change: Thursday May 08 20:58:05 2025 in commit: 4144ba81fa125e1549fc52e1cf5feb4fa004be8b

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual